#ifndef ADDMESSAGE_H
#define ADDMESSAGE_H
#include "ftpaccess.h"

#include <kdialogbase.h>

class AddMessageBase;

class AddMessage : public KDialogBase {
	Q_OBJECT
public:
	AddMessage(ftpaccess *f, bool rdm=false, QWidget *parent=0, char *wname=0);
	~AddMessage();
public slots:
	void slotOk();
signals:
	void MessageAdded(bool,ftpmessage *);
private:
	bool		readme;
	ftpmessage *	message;
	ftpaccess *	ftpxs;
	AddMessageBase *mWidget;
};
#endif
